View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000363aMulePreferencespublic2005-04-07 22:342005-04-12 00:41
Reporterm2kio 
Assigned ToKry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in VersionSVN 
Summary0000363: FileIO: Error enumerating files for dir /.Trashes/
Descriptionin Preferences>Directories>Shared Directories:
when expanding the root folder, the message
FileIO: Error enumerating files for dir /.Trashes/ (permissions?) is printed.
i assume that directory entries are enumerated to decide whether a triangle should be displayed to allow expanding of the folder if sub folders exist.
either of this should be changed:
- ignore errors for hidden folders, or
- always skip hidden folders, or
- skip hidden folders if "share hidden files" is not selected
- never enumerate folder items and always draw the triangle for every folder, also for those which don't contain sub folders.

Additional InformationMac OSX
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0000838)
Kry (manager)
2005-04-08 06:59

This is not related to the fact that it's a hidden folder. Check permisions as message says.
(0000839)
m2kio (reporter)
2005-04-08 11:31

i know the error is because of the x permissions. they are correct this way. just expect this folder to be present on any Mac OSX box.

thus this report may be a combination of two:
- don't list hidden folders. there's probably a reason why they are hidden. at least don't list them except if the user expressively wants to share hidden files. or just don't list them on Mac OS.
- don't log when a folder could not be enumerated because of missing permissions. maybe the icon in the tree view could be changed to indicate this state. maybe. i feel it is ok to log this error if the user actually tries to expand the folder, but not if the folder is unavoidably listed.
(0000862)
Kry (manager)
2005-04-12 00:41

Fixed on CVS

- Issue History
Date Modified Username Field Change
2005-04-07 22:34 m2kio New Issue
2005-04-08 06:59 Kry Note Added: 0000838
2005-04-08 11:31 m2kio Note Added: 0000839
2005-04-12 00:41 Kry Status new => resolved
2005-04-12 00:41 Kry Fixed in Version => CVS
2005-04-12 00:41 Kry Resolution open => fixed
2005-04-12 00:41 Kry Assigned To => Kry
2005-04-12 00:41 Kry Note Added: 0000862


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker